#### Description:

If the supplied FitsChan currently contains any tables, then this function returns a pointer to a KeyMap. Each entry in the KeyMap is a pointer to a FitsTable holding the data for a FITS binary table. The key used to access each entry is the FITS extension name in which the table should be stored.

Tables can be present in a FitsChan as a result either of using the astPutTable (or astPutTables) method to store existing tables in the FitsChan, or of using the astWrite method to write a FrameSet to the FitsChan. For the later case, if the FitsChan `"` TabOK`"` attribute is positive and the FrameSet requires a look-up table to describe one or more axes, then the `"` -TAB`"` algorithm code described in FITS-WCS paper III is used and the table values are stored in the FitsChan in the form of a FitsTable object (see the documentation for the `"` TabOK`"` attribute).

#### Synopsis

AstKeyMap ∗astGetTables( AstFitsChan ∗this )

#### Parameters:

##### this

Pointer to the FitsChan.

#### Returned Value

##### astGetTables()

A pointer to a deep copy of the KeyMap holding the tables currently in the FitsChan, or NULL if the FitsChan does not contain any tables. The returned pointer should be annulled using astAnnul when no longer needed.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory